/*
 Theme Name:   liseDESIGN by Elisabeth HÜtter
 Theme URI:    https://lisedesign.de
 Description:  liseCHILD Theme
 Author:       Elisabeth Hütter
 Author URI:   https://lisedesign.de
 Template:     generatepress
 Version:      0.1
*/

/* TYPOGRAPHY SCALE */
h1, .fs-h1 {
    font-size: clamp(3rem, -0.31rem + 6.897vi, 4rem);
    font-family: var(--gp-font--head);
    color: var(--brand-color-01);
    margin-bottom: 0;
}

h2, .fs-h2 {
    font-size: clamp(2.28rem, 0.306rem + 4.31vi, 3rem);
    font-family: var(--gp-font--head);
    color: var(--brand-color-01);
    margin-bottom: 0;
}

h3, .fs-h3 {
    font-size: clamp(2rem, 0.345rem + 3.448vi, 2.5rem);
    font-family: var(--gp-font--head);
    color: var(--brand-color-01);
    margin-bottom: 0;
}

h4, .fs-h4 {
    font-size: clamp(1.778rem, 1.733rem + 0.188vi, 2rem);
    font-family: var(--gp-font--head);
    color: var(--brand-color-01);
    margin-bottom: 0;
}

h5, .fs-h5 {
    font-size: clamp(1.556rem, 1.511rem + 0.188vi, 1.778rem);
    font-family: var(--gp-font--head);
    color: var(--brand-color-01);
    margin-bottom: 0;
}

h6, .fs-h6 {
    font-size: clamp(1.333rem, 1.288rem + 0.188vi, 1.556rem);
    font-family: var(--gp-font--head);
    color: var(--brand-color-01);
    margin-bottom: 0;
}

p, .fs-p-xl {
    font-size: clamp(1.111rem, 1.089rem + 0.094vi, 1.222rem);
    font-family: var(--gp-font--body);
    font-weight: 400;
	line-height: 1.2em;
	letter-spacing: 1%;
    color: var(--brand-color-01);
    margin-bottom: 0;
}

.fs-p-l {
    font-size: clamp(1.083rem, 1.067rem + 0.07vi, 1.167rem);
    font-family: var(--gp-font--body);
    font-weight: 400;
	line-height: 1.3em;
	letter-spacing: 1%;
    color: var(--brand-color-01);
    margin-bottom: 0;
}

.fs-p-m {
    font-size: clamp(1.056rem, 1.044rem + 0.047vi, 1.111rem);
    font-family: var(--gp-font--body);
    font-weight: 400;
    line-height: 1.3em;
	letter-spacing: 1%;
	color: var(--brand-color-01);
    margin-bottom: 0;
}

.fs-p-s {
    font-size: clamp(0.889rem, 0.878rem + 0.047vi, 0.944rem);
    font-family: var(--gp-font--body);
    font-weight: 400;
    line-height: 1.3em;
	letter-spacing: 1%;
	color: var(--brand-color-01);
    margin-bottom: 0;
}

.fs-p-xs {
    font-size: clamp(0.889rem, 0.9rem + -0.047vi, 0.833rem);
    font-family: var(--gp-font--body);
    font-weight: 400;
    line-height: 1.3em;
	letter-spacing: 1%;
	color: var(--brand-color-01);
    margin-bottom: 0;
}



/* Framework Variable */
:root {
	--font-size-xxxl: 3rem;
	--font-size-xxl: 2.5rem;
	--font-size-xl: 1.8rem;
	--font-size-l: 1.6rem;
	--font-size-m: 1.4rem;
	--font-size-s: 1.2rem;
	--font-size-xs: 1rem;
	--font-size-xxs:0.85rem;
}



/* SUCH BUTTON STYLE */
.wp-block-search__button {
    display: inline-flex;
    align-items: center;
    justify-content: center;

    background-color: var(--neutral-white-01) !important;
    color: var(--brand-color-01) !important;

    font-size: 2rem;
    padding: 0.2em 0.2em;
    border: 4px solid var(--brand-color-06) !important;
    border-radius: 12px;
    cursor: pointer;
    transition: all 0.2s ease;
    box-shadow: 3px 4px 8px rgba(0, 0, 0, 0.18);
}

.wp-block-search__button:hover {
    background-color: var(--brand-color-01) !important;
    color: var(--neutral-white-01) !important;
    border: 4px solid var(--brand-color-06) !important;
    transform: rotate(-3deg);
    box-shadow: 3px 4px 8px rgba(0, 0, 0, 0.18);
}

/* SUCHE FELD STYLE */
.wp-block-search__input {
    border: 3px solid var(--brand-color-03) !important;
    border-radius: 0.4em !important;
    box-shadow: 5px 5px 10px 2px rgba(0, 0, 0, 0.15) !important;
    outline: none;
    transition: all 0.2s ease;
}


/* BACK TO TOP BUTTON */
.generate-back-to-top {
    position: fixed;
    width: 1.2em;
    height: 1.2em;
	padding-bottom: 0.2em;
    display: inline-flex;
    align-items: center;
    justify-content: center;

    background-color: var(--neutral-white-01) !important; /* Hintergrund */
    color: var(--brand-color-01) !important;              /* Icons */

    font-size: 2.5rem;
    border: 4px solid var(--brand-color-06);              /* Rahmen */
    border-radius: 12px;
    cursor: pointer;
    transition: all 0.2s ease;
    box-shadow: 3px 4px 8px rgba(0, 0, 0, 0.18);         /* Schatten */
}

.generate-back-to-top:hover {
    background-color: var(--brand-color-01) !important; /* Hintergrund Hover */
    color: var(--neutral-white-01) !important;           /* Icon Hover */
    border: 4px solid var(--brand-color-06);             /* Rahmenfarbe Hover */
    transform: rotate(-12deg);
    box-shadow: 3px 4px 8px rgba(0, 0, 0, 0.18);        /* Schatten Hover */
}

@media (min-width: 1024px) {
    .generate-back-to-top {
        bottom: 40px;
        right: 40px;
    }
}


/* TEXT BALANCE PRETTY */
:is(h1, h2, h3, h4, h5, h6), 
.balance {
    text-wrap: balance;
}

p, 
blockquote, 
li {
    text-wrap: pretty;
}

p:last-child {
    margin-bottom: 0;
}


/* LINE LIMITS */
.line-limit-2,
.line-limit-3 {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.line-limit-2 {
    -webkit-line-clamp: 2;
    line-clamp: 2;
}

.line-limit-3 {
    -webkit-line-clamp: 3;
    line-clamp: 3;
}


/* Download Bild Schutz*/
img {
    -webkit-user-drag: none;
    user-select: none;
    -webkit-touch-callout: none;
}